सवाल एलटीएस सक्षमता ढेर - क्या मुझे मात्रात्मक, उग्र या सॉसी का उपयोग करना चाहिए?


मैंने बीटा आईएसओ से कुबंटू 12.04 स्थापित किया और मैं तब से इसे अद्यतन कर रहा हूं। हालांकि, मैं अब सटीक के लिए हार्डवेयर सक्षमता ढेर में चयन करना चाहता हूं।

मेरे पास दो प्रश्न हैं:

सबसे पहले, मैं संस्करणों के बीच कैसे निर्णय ले सकता हूं? उदाहरण के लिए, क्वांटन क्वांटल, रियरिंग या सॉसी क्या मैं बस नवीनतम चुनूंगा? (और अभी तक इस उद्देश्य के लिए सॉसी उपलब्ध है?)

sudo apt-get install linux-generic-lts-raring xserver-xorg-lts-raring 

या

sudo apt-get install linux-generic-lts-saucy xserver-xorg-lts-saucy

दूसरा, अगर मैं उभरते रिलीज का उपयोग कर हार्डवेयर सक्षमता स्टैक में चुनता हूं, तो क्या सॉसी या बाद में रिलीज़ में आने वाली कोई कठिनाई या चुनौतियां होंगी? और उस समय मुझे क्या करना होगा?


4
2017-09-03 14:09


मूल


@ ब्रायम-मैंने बहुत समय पहले 12.04 स्थापित किया था! ;-) - MountainX


जवाब:


क्वांटल, रियरिंग और सॉसी के बीच की पसंद वास्तव में आपके ऊपर है लेकिन इन स्टैक्स का नाम रिलीज होने के बाद रखा गया है। इस प्रकार, सॉसी स्टैक वर्तमान में रिलीज़ नहीं है और इसे उत्पादन के लिए अनुपयुक्त माना जाना चाहिए।

ढेर के बीच चलना संभव है। वे बस पैकेज हैं, आखिरकार।

एकमात्र असली बुरा परिदृश्य 12.04 से शुरू हो रहा है, 13.04 के एचडब्ल्यूई स्थापित कर रहा है और फिर वितरण को 12.10 तक अपग्रेड कर रहा है। आपका एक्स स्टैक एक अवांछित कॉन्फ़िगरेशन में शेष सिस्टम की तुलना में नया होगा। मैं उन्नयन से पहले एचडब्ल्यूई स्टैक पैकेज को हटाने की सलाह दूंगा।

मानक एलटीएस उन्नयन (उदाहरण के लिए 14.04) ठीक है हालांकि आपको एचडब्ल्यूई मैन्युअल रूप से अपग्रेड करने की आवश्यकता हो सकती है। मुझे यह भी इंगित करना चाहिए कि 14.04 आओ, 12.04 के लिए समर्थित केवल दो स्टैक मूल स्टैक और 14.04 हैं (जो 12.04 के जीवनकाल के शेष 3 वर्षों के लिए समर्थित रहेंगे)।


4
2017-09-03 14:33



इसलिए मैं अब भीड़ के लिए एचडब्ल्यूई स्टैक स्थापित कर सकता हूं और जब सॉसी जारी की जाती है तो मैं चाहता हूं apt-get remove linux-generic-lts-raring xserver-xorg-lts-raring तथा apt-get install linux-generic-lts-saucy xserver-xorg-lts-saucy। सही बात? - MountainX
भी, जब 14.04 आता है, तो मैं 12.04 से 14.04 तक अपग्रेड करने की योजना बना रहा हूं। मुझे लगता है कि अगर मेरे पास एक एचडब्ल्यूई स्टैक स्थापित है, तो मुझे 14.04 में अपग्रेड करने के लिए इसे हटाने की आवश्यकता होगी। सही बात? - MountainX
1) यदि आप सॉसी एचडब्ल्यूई स्टैक में अपग्रेड करना चाहते हैं, हाँ। 2) मैं ईमानदारी से यकीन नहीं कर रहा हूं कि बड़े उन्नयन के लिए स्थिति क्या होगी। मुझे लगता है कि वे इंस्टॉलर द्वारा स्वचालित रूप से हटा दिए जाएंगे, भले ही वे नहीं हैं, फिर भी वे 14.04 के संस्करणों से अधिक हो जाएंगे, इसलिए संघर्ष नहीं करना चाहिए। चीजों को करने से पहले उन्हें हटाने के लिए बहुत कम समय लगता है ताकि यह एक सुरक्षित विधि हो। - Oli♦